<?php
function insurancecompany_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'insurancecompany_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'insurance-company' ),
		) 
	); 
	
	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'insurance-company' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','insurance-company'),
			'priority' => 1,
			'panel' => 'insurancecompany_frontpage_sections',
		)
	);

	$wp_customize->add_setting('insurancecompany_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new insurancecompany_Tab_Control($wp_customize, 'insurancecompany_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'insurance-company'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6',
				'slider_contactusbtnlink',
				'slider_contactinfoHeading',
				'slider_contactinfophonenum'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'insurance-company'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'slider_titlecolor',
                'slider_descriptioncolor',
                'slider_btntxt1color',
				'slider_btnbg1color',
				'slider_btntxt1hrvcolor',
				'slider_btntxt2color',
				'slider_btnbg2color',
				'slider_btn2txthrvcolor',
				'slider_btn2bghrvcolor',
				'slider_arrowiconcolor',
				'slider_arrowiconbgcolor',
				'slider_arrowiconhrvcolor',
				'slider_phonenobgcolor',
				'slider_phonenoiconcolor',
				'slider_phonenoiconbgcolor',
				'slider_phonenoheadingcolor',
				'slider_phonenocolor',
				'slider_phonenohrvcolor'

            ),
     	),
	      array(
	        'name' => esc_html__('Layout', 'insurance-company'),
	        'icon' => 'dashicons dashicons-layout',
	        'fields' => array(
	            'insurance_company_slider_section_width',
	        ),
     	)
	    
    	),
	))); 


	// General Tab

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		


	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	
	// slider contactusbtnlink
	$slidercontactusbtnlink = esc_html__('#', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_contactusbtnlink',
    	array(
			'default' => $slidercontactusbtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_contactusbtnlink',
		array(
		    'label'   		=> __('Contact Us Button Link','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// slider contactinfoHeading
	$slidercontactinfoHeading = esc_html__('Free Expert Advice', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_contactinfoHeading',
    	array(
			'default' => $slidercontactinfoHeading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_contactinfoHeading',
		array(
		    'label'   		=> __('Phone Number Heading','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// slider contactinfophonenum
	$slidercontactinfophonenum = esc_html__('+012 3456 789', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_contactinfophonenum',
    	array(
			'default' => $slidercontactinfophonenum,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_contactinfophonenum',
		array(
		    'label'   		=> __('Phone Number','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);



	// Style setting

	// slider title Color
	$slidertitlecolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider description Color
	$sliderdescriptioncolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_descriptioncolor',
    	array(
			'default' => $sliderdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button 1 Text Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btnbg1 Color
	$sliderbtnbg1color = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btnbg1color',
    	array(
			'default' => $sliderbtnbg1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnbg1color',
		array(
		    'label'   		=> __('Button 1 BG Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1hrv Color
	$sliderbtntxt1hrvcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btntxt1hrvcolor',
    	array(
			'default' => $sliderbtntxt1hrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1hrvcolor',
		array(
		    'label'   		=> __('Button 1 Text Hover Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt2 Color
	$sliderbtntxt2color = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btntxt2color',
    	array(
			'default' => $sliderbtntxt2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt2color',
		array(
		    'label'   		=> __('Button 2 Text Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btnbg2 Color
	$sliderbtnbg2color = esc_html__('#00868C', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btnbg2color',
    	array(
			'default' => $sliderbtnbg2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnbg2color',
		array(
		    'label'   		=> __('Button 2 BG Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btn2txthrv Color
	$sliderbtn2txthrvcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btn2txthrvcolor',
    	array(
			'default' => $sliderbtn2txthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2txthrvcolor',
		array(
		    'label'   		=> __('Button 2 Text Hover Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btn2bghrv Color
	$sliderbtn2bghrvcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_btn2bghrvcolor',
    	array(
			'default' => $sliderbtn2bghrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2bghrvcolor',
		array(
		    'label'   		=> __('Button 2 BG Hover Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowicon Color
	$sliderarrowiconcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_arrowiconcolor',
    	array(
			'default' => $sliderarrowiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconcolor',
		array(
		    'label'   		=> __('Arrows Text & Icon Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconbg Color
	$sliderarrowiconbgcolor = esc_html__('#f1f1f12b', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_arrowiconbgcolor',
    	array(
			'default' => $sliderarrowiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconbgcolor',
		array(
		    'label'   		=> __('Arrows Text & Icon BG Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconhrv Color
	$sliderarrowiconhrvcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_arrowiconhrvcolor',
    	array(
			'default' => $sliderarrowiconhrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconhrvcolor',
		array(
		    'label'   		=> __('Arrows Icon Hover Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider phonenobg Color
	$sliderphonenobgcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_phonenobgcolor',
    	array(
			'default' => $sliderphonenobgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_phonenobgcolor',
		array(
		    'label'   		=> __('Phone Number BG Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	

	// slider phonenoicon Color
	$sliderphonenoiconcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_phonenoiconcolor',
    	array(
			'default' => $sliderphonenoiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_phonenoiconcolor',
		array(
		    'label'   		=> __('Phone Number Icon Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	
	// slider phonenoiconbg Color
	$sliderphonenoiconbgcolor = esc_html__('#00868C', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_phonenoiconbgcolor',
    	array(
			'default' => $sliderphonenoiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_phonenoiconbgcolor',
		array(
		    'label'   		=> __('Phone Number Icon BG Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider phonenoheading Color
	$sliderphonenoheadingcolor = esc_html__('#000', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_phonenoheadingcolor',
    	array(
			'default' => $sliderphonenoheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_phonenoheadingcolor',
		array(
		    'label'   		=> __('Phone Number Heading Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider phoneno Color
	$sliderphonenocolor = esc_html__('#00868C', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_phonenocolor',
    	array(
			'default' => $sliderphonenocolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_phonenocolor',
		array(
		    'label'   		=> __('Phone Number Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider phonenohrv Color
	$sliderphonenohrvcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'slider_phonenohrvcolor',
    	array(
			'default' => $sliderphonenohrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_phonenohrvcolor',
		array(
		    'label'   		=> __('Phone Number Hover Color','insurance-company'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	


// layout setting
	$wp_customize->add_setting('insurance_company_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'insurancecompany_sanitize_choices',
    ));
    $wp_customize->add_control('insurance_company_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','insurance-company'),
        'choices' => array (
            'Box Width' => __('Box Width','insurance-company'),
            'Full Width' => __('Full Width','insurance-company')
        ),
        'section' => 'slider_setting',
    ));

	/*=========================================
	aboutus Section
	=========================================*/
	$wp_customize->add_section(
		'aboutus_setting', array(
			'title' => esc_html__( 'AboutUs Section', 'insurance-company' ),
			'priority' => 2,
			'panel' => 'insurancecompany_frontpage_sections',
		)
	);

	$wp_customize->add_setting('insurancecompany_aboutus_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new insurancecompany_Tab_Control($wp_customize, 'insurancecompany_aboutus_tabs', array(
	   'section' => 'aboutus_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'insurance-company'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'aboutus_disable_section',
            	'aboutus_image',
				'aboutus_yearofexperiencenum',
				'aboutus_yearofexperienceheading',
				'aboutus_subtitle',
				'aboutus_title',
				'aboutus_description',
				'aboutus_contentimage',
				'aboutus_successboxnumber',
				'aboutus_successboxheading',
				'aboutus_happyclientsnum',
				'aboutus_happyclientsheading',
				'aboutus_happyclientsheading',
				'aboutus_list1',
				'aboutus_list2',
            	'aboutus_readmorebtn_link'
            ),
            'active' => true,
		),
		array(
		'name' => esc_html__('Style', 'insurance-company'),
		'icon' => 'dashicons dashicons-art',
		'fields' => array(
			'aboutus_yearofexpreincenocolor',
			'aboutus_yearofexpreinceheadingcolor',
			'aboutus_yearofexpreincebgcolor',
			'aboutus_subtitlecolor',
			'aboutus_titlecolor',
			'aboutus_descriptioncolor',
			'aboutus_boxiconcolor',
			'aboutus_boxiconbgcolor',
			'aboutus_boxiconnumcolor',
			'aboutus_boxiconheadingcolor',
			'aboutus_listiconcolor',
			'aboutus_listcolor',
			'aboutus_btntextcolor',
			'aboutus_btnbgcolor',
			'aboutus_btntexthrvcolor',
			'aboutus_contentbgcolor'
		),
     	),
		 array(
		   'name' => esc_html__('Layout', 'insurance-company'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'aboutus_section_width',
		   ),
		)
    	),
	))); 


	// hide show aboutus section
	$wp_customize->add_setting(
        'aboutus_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new insurancecompany_Toggle_Switch_Custom_Control(
            $wp_customize,
            'aboutus_disable_section',
            array(
                'settings'      => 'aboutus_disable_section',
                'section'       => 'aboutus_setting',
                'label'         => __( 'Disable Section', 'insurance-company' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'insurance-company' ),
                    'off' => __( 'No', 'insurance-company' )
                ),
            )
        )
    );

	// aboutus_image
	$wp_customize->add_setting(
    	'aboutus_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image',
	        array(
			    'label'   		=> __('Image 1','insurance-company'),
				'description'=> __('Image Size Should Be 577*684','insurance-company'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image'
	        )
	    )
	);


	// aboutus_yearofexperience
	$wp_customize->add_setting(
    	'aboutus_yearofexperiencenum',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_yearofexperiencenum',
		array(
		    'label'   		=> __('Year Of Experience Number','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_yearofexperienceheading
	$wp_customize->add_setting(
    	'aboutus_yearofexperienceheading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_yearofexperienceheading',
		array(
		    'label'   		=> __('Year Of Experience Heading','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_subtitle
	$wp_customize->add_setting(
    	'aboutus_subtitle',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitle',
		array(
		    'label'   		=> __('Sub Title','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_title
	$wp_customize->add_setting(
    	'aboutus_title',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_title',
		array(
		    'label'   		=> __('Title','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_description
	$wp_customize->add_setting(
    	'aboutus_description',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_description',
		array(
		    'label'   		=> __('Description','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_contentimage
	$wp_customize->add_setting(
    	'aboutus_contentimage',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_contentimage',
	        array(
			    'label'   		=> __('Content Image','insurance-company'),
				'description'=> __('Image Size Should Be 295*357','insurance-company'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_contentimage'
	        )
	    )
	);

	// aboutus_successboxnumber
	$wp_customize->add_setting(
    	'aboutus_successboxnumber',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_successboxnumber',
		array(
		    'label'   		=> __('Success Box Number','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_successboxheading
	$wp_customize->add_setting(
    	'aboutus_successboxheading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_successboxheading',
		array(
		    'label'   		=> __('Success Box Heading','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_happyclientsnum
	$wp_customize->add_setting(
    	'aboutus_happyclientsnum',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_happyclientsnum',
		array(
		    'label'   		=> __('Happy Clients Number','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_happyclientsheading
	$wp_customize->add_setting(
    	'aboutus_happyclientsheading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_happyclientsheading',
		array(
		    'label'   		=> __('Happy Clients Heading','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list1
	$wp_customize->add_setting(
    	'aboutus_list1',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list1',
		array(
		    'label'   		=> __('List 1','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list2
	$wp_customize->add_setting(
    	'aboutus_list2',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list2',
		array(
		    'label'   		=> __('List 2','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	

	// aboutus_readmorebtn_link
	$aboutusreadmorebtnlink = esc_html__('#', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_readmorebtn_link',
    	array(
			'default' => $aboutusreadmorebtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_readmorebtn_link',
		array(
		    'label'   		=> __('Discover More Button Link','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	
	//style

	// aboutus yearofexpreinceno Color
	$aboutusyearofexpreincenocolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_yearofexpreincenocolor',
    	array(
			'default' => $aboutusyearofexpreincenocolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_yearofexpreincenocolor',
		array(
		    'label'   		=> __('Year Of Experience Number Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	
	// aboutus yearofexpreinceheading Color
	$aboutusyearofexpreinceheadingcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_yearofexpreinceheadingcolor',
    	array(
			'default' => $aboutusyearofexpreinceheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_yearofexpreinceheadingcolor',
		array(
		    'label'   		=> __('Year Of Experience Heading Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus yearofexpreincebg Color
	$aboutusyearofexpreincebgcolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_yearofexpreincebgcolor',
    	array(
			'default' => $aboutusyearofexpreincebgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_yearofexpreincebgcolor',
		array(
		    'label'   		=> __('Year Of Experience BG Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	


	// aboutus subtitle Color
	$aboutussubtitlecolor = esc_html__('#00868C', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_subtitlecolor',
    	array(
			'default' => $aboutussubtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitlecolor',
		array(
		    'label'   		=> __('Sub Title Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus title Color
	$aboutustitlecolor = esc_html__('#002434', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_titlecolor',
    	array(
			'default' => $aboutustitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_titlecolor',
		array(
		    'label'   		=> __('Title Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus description Color
	$aboutusdescriptioncolor = esc_html__('#A2A2A2', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_descriptioncolor',
    	array(
			'default' => $aboutusdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// aboutus boxicon Color
	$aboutusboxiconcolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_boxiconcolor',
    	array(
			'default' => $aboutusboxiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxiconcolor',
		array(
		    'label'   		=> __('Box Icon Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxiconbg Color
	$aboutusboxiconbgcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_boxiconbgcolor',
    	array(
			'default' => $aboutusboxiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxiconbgcolor',
		array(
		    'label'   		=> __('Box Icon BG Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxiconnum Color
	$aboutusboxiconnumcolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_boxiconnumcolor',
    	array(
			'default' => $aboutusboxiconnumcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxiconnumcolor',
		array(
		    'label'   		=> __('Box Number Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxiconheading Color
	$aboutusboxiconheadingcolor = esc_html__('#A2A2A2', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_boxiconheadingcolor',
    	array(
			'default' => $aboutusboxiconheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxiconheadingcolor',
		array(
		    'label'   		=> __('Box Heading Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus listicon Color
	$aboutuslisticoncolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_listiconcolor',
    	array(
			'default' => $aboutuslisticoncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listiconcolor',
		array(
		    'label'   		=> __('List Icon Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus list Color
	$aboutuslistcolor = esc_html__('#181818', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_listcolor',
    	array(
			'default' => $aboutuslistcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listcolor',
		array(
		    'label'   		=> __('List Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus btntext Color
	$aboutusbtntextcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_btntextcolor',
    	array(
			'default' => $aboutusbtntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntextcolor',
		array(
		    'label'   		=> __('Button 1 Text Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btnbg Color 
	$aboutusbtnbgcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_btnbgcolor',
    	array(
			'default' => $aboutusbtnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btnbgcolor',
		array(
		    'label'   		=> __('Button 1 BG Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btntexthrv Color
	$aboutusbtntexthrvcolor = esc_html__('#002434', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_btntexthrvcolor',
    	array(
			'default' => $aboutusbtntexthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntexthrvcolor',
		array(
		    'label'   		=> __('Button 1 Text Hover Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus contentbg Color
	$aboutuscontentbgcolor = esc_html__('#F4F4F4', 'insurance-company' );
	$wp_customize->add_setting(
    	'aboutus_contentbgcolor',
    	array(
			'default' => $aboutuscontentbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_contentbgcolor',
		array(
		    'label'   		=> __('Content BG Color','insurance-company'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

		// Layout
	$wp_customize->add_setting('aboutus_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'insurancecompany_sanitize_choices',
    ));
    $wp_customize->add_control('aboutus_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','insurance-company'),
        'choices' => array (
            'Box Width' => __('Box Width','insurance-company'),
            'Full Width' => __('Full Width','insurance-company')
        ),
        'section' => 'aboutus_setting',
    ));


	
	/*=========================================
	ourservice Section
	=========================================*/
	$wp_customize->add_section(
		'ourservice_setting', array(
			'title' => esc_html__( 'Our Service Section', 'insurance-company' ),
			'priority' => 2,
			'panel' => 'insurancecompany_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('insurancecompany_ourservice_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new insurancecompany_Tab_Control($wp_customize, 'insurancecompany_ourservice_tabs', array(
	   'section' => 'ourservice_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'insurance-company'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'ourservice_disable_section',
				'ourservice_heading',
            	'ourservice1',
				'ourservice_icon1',
            	'ourservice2',
				'ourservice_icon2',
            	'ourservice3',
				'ourservice_icon3',
				'ourservice4',
				'ourservice_icon4',
            	'ourservice_readmorebtn_link'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'insurance-company'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'ourservice_headingcolor',
            	'ourservice_headingbrdcolor',
				'ourservice_boxiconcolor',
				'ourservice_boxiconbgcolor',
            	'ourservice_boxtitlecolor',
				'ourservice_btntextcolor',
				'ourservice_btntexthrvcolor',
				'ourservice_boxbgcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'insurance-company'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'ourservice_section_width',
			   'ourservice_section_padding',
			   'ourservice_section_top_padding',
			   'ourservice_section_bottom_padding'
		   ),
		)
	    
    	),
	))); 



	// General

	// hide show ourservice section
	$wp_customize->add_setting(
        'ourservice_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new insurancecompany_Toggle_Switch_Custom_Control(
            $wp_customize,
            'ourservice_disable_section',
            array(
                'settings'      => 'ourservice_disable_section',
                'section'       => 'ourservice_setting',
                'label'         => __( 'Disable Section', 'insurance-company' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'insurance-company' ),
                    'off' => __( 'No', 'insurance-company' )
                ),
            )
        )
    );


    // ourservice_heading
	$wp_customize->add_setting(
    	'ourservice_heading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_heading',
		array(
		    'label'   		=> __('Heading','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// ourservice 1
	$wp_customize->add_setting( 
    	'ourservice1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice1',
		array(
		    'label'   		=> __('Our Service 1','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	
	
	// ourservice_icon1
	$wp_customize->add_setting(
    	'ourservice_icon1',
    	array(
			'default' => 'fa-solid fa-car',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_icon1',
		array(
		    'label'   		=> __('Our Service Icon 1','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'description'		=> 'Add Like "fa-solid fa-car"',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 2
	$wp_customize->add_setting(
    	'ourservice2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'ourservice2',
		array(
		    'label'   		=> __('Our Service 2','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice_icon2
	$wp_customize->add_setting(
    	'ourservice_icon2',
    	array(
			'default' => 'fa-solid fa-car',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_icon2',
		array(
		    'label'   		=> __('Our Service Icon 2','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'description'		=> 'Add Like "fa-solid fa-car"',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 3
	$wp_customize->add_setting(
    	'ourservice3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'ourservice3',
		array(
		    'label'   		=> __('Our Service 3','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice_icon3
	$wp_customize->add_setting(
    	'ourservice_icon3',
    	array(
			'default' => 'fa-solid fa-car',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_icon3',
		array(
		    'label'   		=> __('Our Service Icon 3','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'description'		=> 'Add Like "fa-solid fa-car"',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 4
	$wp_customize->add_setting( 
    	'ourservice4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice4',
		array(
		    'label'   		=> __('Our Service 4','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// ourservice_icon4
	$wp_customize->add_setting(
    	'ourservice_icon4',
    	array(
			'default' => 'fa-solid fa-car',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_icon4',
		array(
		    'label'   		=> __('Our Service Icon 4','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'description'		=> 'Add Like "fa-solid fa-car"',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// ourservice_readmorebtn_link
	$ourservicereadmorebtnlink = esc_html__('#', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_readmorebtn_link',
    	array(
			'default' => $ourservicereadmorebtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_readmorebtn_link',
		array(
		    'label'   		=> __('Read More Button Link','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// style

	// ourservice heading color
	$ourserviceheadingcolor = esc_html__('#002434', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_headingcolor',
    	array(
			'default' => $ourserviceheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_headingcolor',
		array(
		    'label'   		=> __('Heading Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice headingbrd color
	$ourserviceheadingbrdcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_headingbrdcolor',
    	array(
			'default' => $ourserviceheadingbrdcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_headingbrdcolor',
		array(
		    'label'   		=> __('Heading Border Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxicon color
	$ourserviceboxiconcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_boxiconcolor',
    	array(
			'default' => $ourserviceboxiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxiconcolor',
		array(
		    'label'   		=> __('Box Icon Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxiconbg color
	$ourserviceboxiconbgcolor = esc_html__('#00868C', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_boxiconbgcolor',
    	array(
			'default' => $ourserviceboxiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxiconbgcolor',
		array(
		    'label'   		=> __('Box Icon BG Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxtitle color
	$ourserviceboxtitlecolor = esc_html__('#000', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_boxtitlecolor',
    	array(
			'default' => $ourserviceboxtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxtitlecolor',
		array(
		    'label'   		=> __('Box Title Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// ourservice btntext color
	$ourservicebtntextcolor = esc_html__('#FE4D05', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_btntextcolor',
    	array(
			'default' => $ourservicebtntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_btntextcolor',
		array(
		    'label'   		=> __('Button Text Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice btntexthrv color
	$ourservicebtntexthrvcolor = esc_html__('#000', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_btntexthrvcolor',
    	array(
			'default' => $ourservicebtntexthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_btntexthrvcolor',
		array(
		    'label'   		=> __('Button Text Hover Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxbg color
	$ourserviceboxbgcolor = esc_html__('#fff', 'insurance-company' );
	$wp_customize->add_setting(
    	'ourservice_boxbgcolor',
    	array(
			'default' => $ourserviceboxbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxbgcolor',
		array(
		    'label'   		=> __('Box BG Color','insurance-company'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Layout
	$wp_customize->add_setting('ourservice_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'insurancecompany_sanitize_choices',
    ));
    $wp_customize->add_control('ourservice_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','insurance-company'),
        'choices' => array (
            'Box Width' => __('Box Width','insurance-company'),
            'Full Width' => __('Full Width','insurance-company')
        ),
        'section' => 'ourservice_setting',
    ));


    // service section padding 
	$wp_customize->add_setting('ourservice_section_padding',array(
		'sanitize_callback'   => 'esc_html'
	));
	$wp_customize->add_control('ourservice_section_padding',array(
		'label' => __('Section Padding','insurance-company'),
		'section' => 'ourservice_setting'
	));

	$wp_customize->add_setting('ourservice_section_top_padding',array(
		'default' => '2',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('ourservice_section_top_padding',array(
		'type' => 'number',
		'label' => __('Top','insurance-company'),
		'section' => 'ourservice_setting',
	));

		$wp_customize->add_setting('ourservice_section_bottom_padding',array(
		'default' => '2',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('ourservice_section_bottom_padding',array(
		'type' => 'number',
		'label' => __('Bottom','insurance-company'),
		'section' => 'ourservice_setting',
	));
	



	$wp_customize->register_control_type('insurancecompany_Tab_Control');

}

add_action( 'customize_register', 'insurancecompany_blog_setting' );

// feature selective refresh
function insurancecompany_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'insurancecompany_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'insurancecompany_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'insurancecompany_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'insurancecompany_blog_section_partials' );

// blog_title
function insurancecompany_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function insurancecompany_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// feature description
function insurancecompany_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


